# Notification Preferences

## GET /users/{user-id}/notification-preferences/alerts

> Get alert notification preferences of a user

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesAlert":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"method":{"$ref":"#/components/schemas/NotificationPreferenceAlertMethod"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"delayMin":{"$ref":"#/components/schemas/NotificationPreferencesAlertDelayMin"},"type":{"$ref":"#/components/schemas/NotificationPreferenceAlertType"}}},"NotificationPreferenceAlertMethod":{"type":"string","enum":["EMAIL","SMS","PUSH","VOICE","WHATSAPP","TELEGRAM"]},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferencesAlertDelayMin":{"type":"integer"},"NotificationPreferenceAlertType":{"type":"string","enum":["LOW_PRIORITY","HIGH_PRIORITY"]}}},"paths":{"/users/{user-id}/notification-preferences/alerts":{"get":{"tags":["Notification Preferences"],"summary":"Get alert notification preferences of a user","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationPreferencesAlert"}}}}}}}}}}
```

## POST /users/{user-id}/notification-preferences/alerts

> Create an alert notification preference

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesAlertPost":{"type":"object","properties":{"method":{"$ref":"#/components/schemas/NotificationPreferenceAlertMethod"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"delayMin":{"$ref":"#/components/schemas/NotificationPreferencesAlertDelayMin"},"type":{"$ref":"#/components/schemas/NotificationPreferenceAlertType"}}},"NotificationPreferenceAlertMethod":{"type":"string","enum":["EMAIL","SMS","PUSH","VOICE","WHATSAPP","TELEGRAM"]},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferencesAlertDelayMin":{"type":"integer"},"NotificationPreferenceAlertType":{"type":"string","enum":["LOW_PRIORITY","HIGH_PRIORITY"]},"NotificationPreferencesAlert":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"method":{"$ref":"#/components/schemas/NotificationPreferenceAlertMethod"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"delayMin":{"$ref":"#/components/schemas/NotificationPreferencesAlertDelayMin"},"type":{"$ref":"#/components/schemas/NotificationPreferenceAlertType"}}}}},"paths":{"/users/{user-id}/notification-preferences/alerts":{"post":{"tags":["Notification Preferences"],"summary":"Create an alert notification preference","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesAlertPost"}}},"required":true},"responses":{"201":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesAlert"}}}}}}}}}
```

## GET /users/{user-id}/notification-preferences/alerts/{id}

> Get specific notification preferences alert

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesAlert":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"method":{"$ref":"#/components/schemas/NotificationPreferenceAlertMethod"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"delayMin":{"$ref":"#/components/schemas/NotificationPreferencesAlertDelayMin"},"type":{"$ref":"#/components/schemas/NotificationPreferenceAlertType"}}},"NotificationPreferenceAlertMethod":{"type":"string","enum":["EMAIL","SMS","PUSH","VOICE","WHATSAPP","TELEGRAM"]},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferencesAlertDelayMin":{"type":"integer"},"NotificationPreferenceAlertType":{"type":"string","enum":["LOW_PRIORITY","HIGH_PRIORITY"]}}},"paths":{"/users/{user-id}/notification-preferences/alerts/{id}":{"get":{"tags":["Notification Preferences"],"summary":"Get specific notification preferences alert","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesAlert"}}}}}}}}}
```

## PUT /users/{user-id}/notification-preferences/alerts/{id}

> Update a user's alert notification preference

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesAlertPost":{"type":"object","properties":{"method":{"$ref":"#/components/schemas/NotificationPreferenceAlertMethod"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"delayMin":{"$ref":"#/components/schemas/NotificationPreferencesAlertDelayMin"},"type":{"$ref":"#/components/schemas/NotificationPreferenceAlertType"}}},"NotificationPreferenceAlertMethod":{"type":"string","enum":["EMAIL","SMS","PUSH","VOICE","WHATSAPP","TELEGRAM"]},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferencesAlertDelayMin":{"type":"integer"},"NotificationPreferenceAlertType":{"type":"string","enum":["LOW_PRIORITY","HIGH_PRIORITY"]},"NotificationPreferencesAlert":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"method":{"$ref":"#/components/schemas/NotificationPreferenceAlertMethod"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"delayMin":{"$ref":"#/components/schemas/NotificationPreferencesAlertDelayMin"},"type":{"$ref":"#/components/schemas/NotificationPreferenceAlertType"}}}}},"paths":{"/users/{user-id}/notification-preferences/alerts/{id}":{"put":{"tags":["Notification Preferences"],"summary":"Update a user's alert notification preference","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesAlertPost"}}},"required":false},"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesAlert"}}}}}}}}}
```

## DELETE /users/{user-id}/notification-preferences/alerts/{id}

> Delete the user's specified notification preferences alert

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/users/{user-id}/notification-preferences/alerts/{id}":{"delete":{"tags":["Notification Preferences"],"summary":"Delete the user's specified notification preferences alert","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"if deletion was successful","content":{}}}}}}}
```

## GET /users/{user-id}/notification-preferences/duties

> Get duty notification preferences of a user

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesDuty":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"beforeMin":{"$ref":"#/components/schemas/NotificationPreferencesDutyBeforeMin"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceDutyMethod"},"type":{"$ref":"#/components/schemas/NotificationPreferencesDutyTypes"}}},"NotificationPreferencesDutyBeforeMin":{"type":"integer","enum":[0,15,30,60,180,360,720,1440]},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferenceDutyMethod":{"type":"string","enum":["EMAIL","SMS","PUSH","WHATSAPP","TELEGRAM"]},"NotificationPreferencesDutyTypes":{"type":"string","enum":["ON_CALL"]}}},"paths":{"/users/{user-id}/notification-preferences/duties":{"get":{"tags":["Notification Preferences"],"summary":"Get duty notification preferences of a user","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationPreferencesDuty"}}}}}}}}}}
```

## POST /users/{user-id}/notification-preferences/duties

> Create a duty notification preference

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesDutyPost":{"type":"object","properties":{"beforeMin":{"$ref":"#/components/schemas/NotificationPreferencesDutyBeforeMin"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceDutyMethod"},"type":{"$ref":"#/components/schemas/NotificationPreferencesDutyTypes"}}},"NotificationPreferencesDutyBeforeMin":{"type":"integer","enum":[0,15,30,60,180,360,720,1440]},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferenceDutyMethod":{"type":"string","enum":["EMAIL","SMS","PUSH","WHATSAPP","TELEGRAM"]},"NotificationPreferencesDutyTypes":{"type":"string","enum":["ON_CALL"]},"NotificationPreferencesDuty":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"beforeMin":{"$ref":"#/components/schemas/NotificationPreferencesDutyBeforeMin"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceDutyMethod"},"type":{"$ref":"#/components/schemas/NotificationPreferencesDutyTypes"}}}}},"paths":{"/users/{user-id}/notification-preferences/duties":{"post":{"tags":["Notification Preferences"],"summary":"Create a duty notification preference","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesDutyPost"}}},"required":true},"responses":{"201":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesDuty"}}}}}}}}}
```

## GET /users/{user-id}/notification-preferences/duties/{id}

> Get specific notification preferences duty

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesDuty":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"beforeMin":{"$ref":"#/components/schemas/NotificationPreferencesDutyBeforeMin"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceDutyMethod"},"type":{"$ref":"#/components/schemas/NotificationPreferencesDutyTypes"}}},"NotificationPreferencesDutyBeforeMin":{"type":"integer","enum":[0,15,30,60,180,360,720,1440]},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferenceDutyMethod":{"type":"string","enum":["EMAIL","SMS","PUSH","WHATSAPP","TELEGRAM"]},"NotificationPreferencesDutyTypes":{"type":"string","enum":["ON_CALL"]}}},"paths":{"/users/{user-id}/notification-preferences/duties/{id}":{"get":{"tags":["Notification Preferences"],"summary":"Get specific notification preferences duty","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesDuty"}}}}}}}}}
```

## PUT /users/{user-id}/notification-preferences/duties/{id}

> Update a user's duty notification preference

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesDutyPost":{"type":"object","properties":{"beforeMin":{"$ref":"#/components/schemas/NotificationPreferencesDutyBeforeMin"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceDutyMethod"},"type":{"$ref":"#/components/schemas/NotificationPreferencesDutyTypes"}}},"NotificationPreferencesDutyBeforeMin":{"type":"integer","enum":[0,15,30,60,180,360,720,1440]},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferenceDutyMethod":{"type":"string","enum":["EMAIL","SMS","PUSH","WHATSAPP","TELEGRAM"]},"NotificationPreferencesDutyTypes":{"type":"string","enum":["ON_CALL"]},"NotificationPreferencesDuty":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"beforeMin":{"$ref":"#/components/schemas/NotificationPreferencesDutyBeforeMin"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceDutyMethod"},"type":{"$ref":"#/components/schemas/NotificationPreferencesDutyTypes"}}}}},"paths":{"/users/{user-id}/notification-preferences/duties/{id}":{"put":{"tags":["Notification Preferences"],"summary":"Update a user's duty notification preference","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesDutyPost"}}},"required":false},"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesDuty"}}}}}}}}}
```

## DELETE /users/{user-id}/notification-preferences/duties/{id}

> Delete the user's specified notification preferences duty

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/users/{user-id}/notification-preferences/duties/{id}":{"delete":{"tags":["Notification Preferences"],"summary":"Delete the user's specified notification preferences duty","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"if deletion was successful","content":{}}}}}}}
```

## GET /users/{user-id}/notification-preferences/updates

> Get update notification preferences of a user

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesUpdate":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceUpdateMethod"},"type":{"$ref":"#/components/schemas/NotificationPreferencesUpdateType"}}},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferenceUpdateMethod":{"type":"string","enum":["EMAIL","SMS","PUSH","WHATSAPP","TELEGRAM"]},"NotificationPreferencesUpdateType":{"type":"string","enum":["ALERT_ACCEPTED","ALERT_RESOLVED","ALERT_ESCALATED"]}}},"paths":{"/users/{user-id}/notification-preferences/updates":{"get":{"tags":["Notification Preferences"],"summary":"Get update notification preferences of a user","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationPreferencesUpdate"}}}}}}}}}}
```

## POST /users/{user-id}/notification-preferences/updates

> Create an update notification preference

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesUpdatePost":{"type":"object","properties":{"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceUpdateMethod"},"type":{"$ref":"#/components/schemas/NotificationPreferencesUpdateType"}}},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferenceUpdateMethod":{"type":"string","enum":["EMAIL","SMS","PUSH","WHATSAPP","TELEGRAM"]},"NotificationPreferencesUpdateType":{"type":"string","enum":["ALERT_ACCEPTED","ALERT_RESOLVED","ALERT_ESCALATED"]},"NotificationPreferencesUpdate":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceUpdateMethod"},"type":{"$ref":"#/components/schemas/NotificationPreferencesUpdateType"}}}}},"paths":{"/users/{user-id}/notification-preferences/updates":{"post":{"tags":["Notification Preferences"],"summary":"Create an update notification preference","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesUpdatePost"}}},"required":true},"responses":{"201":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesUpdate"}}}}}}}}}
```

## GET /users/{user-id}/notification-preferences/updates/{id}

> Get specific notification preferences update

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesUpdate":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceUpdateMethod"},"type":{"$ref":"#/components/schemas/NotificationPreferencesUpdateType"}}},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferenceUpdateMethod":{"type":"string","enum":["EMAIL","SMS","PUSH","WHATSAPP","TELEGRAM"]},"NotificationPreferencesUpdateType":{"type":"string","enum":["ALERT_ACCEPTED","ALERT_RESOLVED","ALERT_ESCALATED"]}}},"paths":{"/users/{user-id}/notification-preferences/updates/{id}":{"get":{"tags":["Notification Preferences"],"summary":"Get specific notification preferences update","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesUpdate"}}}}}}}}}
```

## PUT /users/{user-id}/notification-preferences/updates/{id}

> Update a user's update notification preference

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesUpdatePost":{"type":"object","properties":{"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceUpdateMethod"},"type":{"$ref":"#/components/schemas/NotificationPreferencesUpdateType"}}},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferenceUpdateMethod":{"type":"string","enum":["EMAIL","SMS","PUSH","WHATSAPP","TELEGRAM"]},"NotificationPreferencesUpdateType":{"type":"string","enum":["ALERT_ACCEPTED","ALERT_RESOLVED","ALERT_ESCALATED"]},"NotificationPreferencesUpdate":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceUpdateMethod"},"type":{"$ref":"#/components/schemas/NotificationPreferencesUpdateType"}}}}},"paths":{"/users/{user-id}/notification-preferences/updates/{id}":{"put":{"tags":["Notification Preferences"],"summary":"Update a user's update notification preference","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesUpdatePost"}}},"required":false},"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesUpdate"}}}}}}}}}
```

## DELETE /users/{user-id}/notification-preferences/updates/{id}

> Delete the user's specified notification preferences update

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/users/{user-id}/notification-preferences/updates/{id}":{"delete":{"tags":["Notification Preferences"],"summary":"Delete the user's specified notification preferences update","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"if deletion was successful","content":{}}}}}}}
```

## GET /users/{user-id}/notification-preferences/subscriptions

> Get subscription notification preferences of a user

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesSubscription":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceSubscriptionMethod"}}},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferenceSubscriptionMethod":{"type":"string","enum":["EMAIL","SMS","PUSH"]}}},"paths":{"/users/{user-id}/notification-preferences/subscriptions":{"get":{"tags":["Notification Preferences"],"summary":"Get subscription notification preferences of a user","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationPreferencesSubscription"}}}}}}}}}}
```

## POST /users/{user-id}/notification-preferences/subscriptions

> Create a subscription notification preference

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesSubscriptionPost":{"type":"object","properties":{"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceSubscriptionMethod"}}},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferenceSubscriptionMethod":{"type":"string","enum":["EMAIL","SMS","PUSH"]},"NotificationPreferencesSubscription":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceSubscriptionMethod"}}}}},"paths":{"/users/{user-id}/notification-preferences/subscriptions":{"post":{"tags":["Notification Preferences"],"summary":"Create a subscription notification preference","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesSubscriptionPost"}}},"required":true},"responses":{"201":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesSubscription"}}}}}}}}}
```

## GET /users/{user-id}/notification-preferences/subscriptions/{id}

> Get specific notification preferences subscription

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesSubscription":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceSubscriptionMethod"}}},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferenceSubscriptionMethod":{"type":"string","enum":["EMAIL","SMS","PUSH"]}}},"paths":{"/users/{user-id}/notification-preferences/subscriptions/{id}":{"get":{"tags":["Notification Preferences"],"summary":"Get specific notification preferences subscription","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesSubscription"}}}}}}}}}
```

## PUT /users/{user-id}/notification-preferences/subscriptions/{id}

> Update a user's subscription notification preference

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"NotificationPreferencesSubscriptionPost":{"type":"object","properties":{"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceSubscriptionMethod"}}},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"NotificationPreferenceSubscriptionMethod":{"type":"string","enum":["EMAIL","SMS","PUSH"]},"NotificationPreferencesSubscription":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"contact":{"type":"object","oneOf":[{"$ref":"#/components/schemas/ContactPhoneNumber"},{"$ref":"#/components/schemas/ContactEmail"}]},"method":{"$ref":"#/components/schemas/NotificationPreferenceSubscriptionMethod"}}}}},"paths":{"/users/{user-id}/notification-preferences/subscriptions/{id}":{"put":{"tags":["Notification Preferences"],"summary":"Update a user's subscription notification preference","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesSubscriptionPost"}}},"required":false},"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesSubscription"}}}}}}}}}
```

## DELETE /users/{user-id}/notification-preferences/subscriptions/{id}

> Delete the user's specified notification preferences subscription

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Notification Preferences"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/users/{user-id}/notification-preferences/subscriptions/{id}":{"delete":{"tags":["Notification Preferences"],"summary":"Delete the user's specified notification preferences subscription","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"if deletion was successful","content":{}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ilert.com/developer-docs/rest-api/api-reference/notification-preferences.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
